Bulk update entities
- Base URL
-
https://{kibana_url}
- PUT /api/security/entity_store/entities/bulk
- PUT /s/{space_id}/api/security/entity_store/entities/bulk
Refer to Spaces for more information.
Update multiple entity records in the Entity Store in a single request.
Required authorization
- Privileges securitySolution
Authentication
Authorization: <value>
These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: Authorization: ApiKey base64AccessApiKey
Authorization: Basic <credentials>
Request body
-
entitiesobject[]required -
The entities to update.
-
docunion anyOf - Any of:
-
entityobject -
entityobject -
entityobject -
entityobject
Responses
200
application/json
Indicates a successful response.
400
application/json
Bad request.